# certbot.plugins.storage module

Plugin storage class.

class certbot.plugins.storage.PluginStorage(config, classkey)

  Bases: `object`

  Class implementing storage functionality for plugins

  save()

    Saves PluginStorage content to disk

    Raises

      errors.PluginStorageError – when unable to serialize the data or write it to the filesystem

  put(key, value)

    Put configuration value to PluginStorage

    Parameters

      - key (str) – Key to store the value to

      - value – Data to store

  fetch(key)

    Get configuration value from PluginStorage

    Parameters

      key (str) – Key to get value from the storage

    Raises

      KeyError – If the key doesn’t exist in the storage